#region GNU_GPL
// Copyright (c) 2003 The Ohio State University
//
// Anish Arora <anish@cis.ohio-state.edu>
// Jason O. Hallstrom <hallstro@cis.ohio-state.edu>
// William M. Leal <leal@cis.ohio-state.edu>
//
// This file is part of DVI.
//
// DVI is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// DVI is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with DVI; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#endregion


using System;
using OSU.DRSS.Platform;


namespace OSU.DVI.GUI.Dialogs
{
	
	public class SendInterceptorsDialog : InterceptorsDialog
	{
		#region Constructors
		//-----------------------------------------------------------------
		// Constructors
		//-----------------------------------------------------------------
		public SendInterceptorsDialog(PlatformInterceptorChainRegistry picRemoteRegistry)
			: base("Send Interceptors", "SI", picRemoteRegistry) 
		{}
		//-----------------------------------------------------------------
		#endregion


		#region Methods
		//-----------------------------------------------------------------
		// Methods
		//-----------------------------------------------------------------
		protected override void RemoveInterceptor(PlatformInterceptorChainRegistry picRemoteRegistry, Guid guiChainID, int intIndex)
		{	picRemoteRegistry.UnregisterSendInterceptor(guiChainID, intIndex);    }
		//-----------------------------------------------------------------
		#endregion
	}

}
